com.buschmais.jqassistant.plugin.m2repo.impl.scanner

## Class MavenRepositoryScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<URL,MavenRepositoryDescriptor>
  - - com.buschmais.jqassistant.plugin.m2repo.impl.scanner.MavenRepositoryScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<URL,MavenRepositoryDescriptor>

      public class MavenRepositoryScannerPlugin
      extends com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<URL,MavenRepositoryDescriptor>

  A scanner for (remote) maven repositories.
  Author:
    pherklotz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_M2REPO_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenRepositoryScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(URL item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope)`
    `protected void` | `initialize()`
    `MavenRepositoryDescriptor` | `scan(URL item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`
    `MavenRepositoryDescriptor` | `scanRepository(URL item, com.buschmais.jqassistant.core.scanner.api.Scanner scanner, MavenIndex mavenIndex, ArtifactResolver artifactResolver)` Scans a Repository.

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDescriptorType, getDirectoryPath, getProperties, getProperty, getStringProperty, getType, getTypeParameter, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_M2REPO_DIR

          public static final String DEFAULT_M2REPO_DIR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MavenRepositoryScannerPlugin

          public MavenRepositoryScannerPlugin()

  - ### Method Detail

    - #### accepts

          public boolean accepts(URL item,
                                 String path,
                                 com.buschmais.jqassistant.core.scanner.api.Scope scope)
                          throws IOException

      Throws:
        `IOException`

    - #### initialize

          protected void initialize()

      Overrides:
        `initialize` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<URL,MavenRepositoryDescriptor>`

    - #### scan

          public MavenRepositoryDescriptor scan(URL item,
                                                String path,
                                                com.buschmais.jqassistant.core.scanner.api.Scope scope,
                                                com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                                         throws IOException

      Throws:
        `IOException`

    - #### scanRepository

          public MavenRepositoryDescriptor scanRepository(URL item,
                                                          com.buschmais.jqassistant.core.scanner.api.Scanner scanner,
                                                          MavenIndex mavenIndex,
                                                          ArtifactResolver artifactResolver)
                                                   throws IOException

      Scans a Repository.
      Parameters:
        `item` - the URL
        `scanner` - the Scanner
        `mavenIndex` - the MavenIndex
        `artifactResolver` - the ArtifactResolver
      Returns:
        a MavenRepositoryDescriptor
      Throws:
        `IOException`

Copyright © 2015 buschmais GbR. All rights reserved.